apiVersion: "cluster.k8s.io/v1alpha1"
kind: MachineList
items:
- apiVersion: "cluster.k8s.io/v1alpha1"
  kind: Machine
  metadata:
    name: mostest-cmp-01
    namespace: mos
    labels:
      kaas.mirantis.com/provider: equinixmetal
      kaas.mirantis.com/region: region-one
      cluster.sigs.k8s.io/cluster-name: mostest
  spec: &cp_spec
    providerSpec:
      value: &cp_value
        apiVersion: equinix.kaas.mirantis.com/v1alpha1
        kind: EquinixMetalMachineProviderSpec
        OS: ubuntu_18_04
        machineType: s3.xlarge.x86
        nodeLabels:
        - displayName: OpenStack compute
          key: openstack-compute-node
          value: enabled
        - displayName: Open vSwitch
          key: openvswitch
          value: enabled
- apiVersion: "cluster.k8s.io/v1alpha1"
  kind: Machine
  metadata:
    name: mostest-cmp-02
    namespace: mos
    labels:
      kaas.mirantis.com/provider: equinixmetal
      kaas.mirantis.com/region: region-one
      cluster.sigs.k8s.io/cluster-name: mostest
  spec: *cp_spec
- apiVersion: "cluster.k8s.io/v1alpha1"
  kind: Machine
  metadata:
    name: mostest-cmp-03
    namespace: mos
    labels:
      kaas.mirantis.com/provider: equinixmetal
      kaas.mirantis.com/region: region-one
      cluster.sigs.k8s.io/cluster-name: mostest
  spec: *cp_spec
- apiVersion: "cluster.k8s.io/v1alpha1"
  kind: Machine
  metadata:
    name: mostest-cmp-04
    namespace: mos
    labels:
      kaas.mirantis.com/provider: equinixmetal
      kaas.mirantis.com/region: region-one
      cluster.sigs.k8s.io/cluster-name: mostest
  spec: *cp_spec
